Page MenuHomePhabricator

There's no way to go forward to Add Data if there's an error/warning of any sort
Closed, ResolvedPublicBug

Description

User story: N/A

We have this:
As described in this bug T222482, an error of any kind on the Describe step prevents the user from being able to go to the next step (Add data). As you can see in the screenshot, there is no button forward.

We want this:
A user should still be able to go to the Add data step, even if an error has occurred, such as exceeding the character limit or triggering an abuse filter.

Screenshots (if possible):

Acceptance Criteria:

  • A user should be able to go to the Add data step even after encountering an error upon upload,

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 3 2019, 9:03 PM
Ramsey-WMF triaged this task as Normal priority.May 6 2019, 4:11 PM
Ramsey-WMF assigned this task to matthiasmullie.
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.

Change 509014 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/UploadWizard@master] Allow moving on to next step if captions fail

https://gerrit.wikimedia.org/r/509014

Change 509014 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Allow moving on to next step if captions fail

https://gerrit.wikimedia.org/r/509014

Ramsey-WMF moved this task from To Do to Doing on the SDC Engineering board.May 10 2019, 5:07 PM
Ramsey-WMF closed this task as Resolved.Fri, Jun 7, 10:54 PM

Verified.